<template>
  <SysDialog
    class="financialshareList-details"
    :visible="dialog.visible"
    v-bind="getBindValue"
    style="overflow: hidden"
    @onClose="onclose"
    @onConfirm="confirm"
  >
    <template #content>
      <div>{{ getBindValue.title }}}</div>
    </template>
  </SysDialog>
</template>
<script lang="ts" setup>
import SysDialog from "@/components/SysDialog.vue";
import useDialog from "@/hooks/useDialog";
import { reactive } from "vue";
// 弹框一些配置
const getBindValue = reactive({
  title: "测试弹窗",
  width: 520,
  height: 0
});
//弹框属性
const { dialog, onClose, onShow } = useDialog();

// 显示/隐藏
const show = () => {
  onShow();
};
const onclose = () => {
  onClose();
};
const confirm = () => {};
//父组件调用子组件显示弹框
//暴露出去给外部使用
defineExpose({
  show
});
</script>
